## python-ldap3 0.9.4.2

=== requirements.txt ===
pyasn1==0.1.7

=== debian/changelog ===
python-ldap3 (0.9.4.2-1~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1464090)

 -- Micah Gersten <micahg@ubuntu.com>  Tue, 20 Oct 2015 23:48:03 -0500

python-ldap3 (0.9.4.2-1) unstable; urgency=low

  * New upstream version.

 -- Brian May <bam@debian.org>  Wed, 09 Jul 2014 11:21:59 +1000

python-ldap3 (0.9.3.5-1) unstable; urgency=low

  * New upstream version.
  * Fix error closing connection when it is already closed.

 -- Brian May <bam@debian.org>  Thu, 19 Jun 2014 08:59:16 +1000

python-ldap3 (0.9.3.4-1) unstable; urgency=low

  * New upstream version.
    * Exception can now be imported from ldap3 package
    * Escape_bytes return '' for empty string instead of None (thanks Brian)
    * Added exception history to restartable connection (except than for
      infinite retries)
    * Fixed start_tls retrying in restartable connection (thanks Brian)
    * New exception LDAPMaximumRetriesError for signaling when the
      SyncRestartable
    * Strategy has reached the maximum number of retries while performing an
      operation
    * Inverted deleteoldrdn value in LDIF output (thanks Joseph)

 -- Brian May <bam@debian.org>  Tue, 17 Jun 2014 09:38:11 +1000

python-ldap3 (0.9.3.3-1) unstable; urgency=low

  * Initial release. Closes: #750396.

 -- Brian May <bam@debian.org>  Tue, 03 Jun 2014 16:10:41 +1000

=== debian/control ===
Source: python-ldap3
Maintainer: Brian May <bam@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 8), dh-python, python-all (>= 2.6.6-3~), python-setuptools, python3-all, python3-setuptools
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-ldap3/trunk/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-ldap3/trunk/
Homepage: https://bitbucket.org/python3ldap/python3-ldap
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-ldap3
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: Pure Python LDAP client library
 A pure Python 3 LDAP version 3 strictly conforming to RFC4511 released under
 the LGPL v3 open source license. RFC4511 is the current LDAP specification
 (June 2006) from IETF and obsoletes the previous LDAP RFCs 2251, 2830, 3771
 (December 1997)
 .
 This package contains the Python 3.x version of the library.

Package: python3-ldap3
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Pure Python LDAP client library
 A pure Python 3 LDAP version 3 strictly conforming to RFC4511 released under
 the LGPL v3 open source license. RFC4511 is the current LDAP specification
 (June 2006) from IETF and obsoletes the previous LDAP RFCs 2251, 2830, 3771
 (December 1997)
 .
 This package contains the Python 3.x version of the library.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=ldap3

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/p/python3-ldap/python3-ldap-(.*).tar.gz

## python-ldap3 0.9.7.4

=== debian/changelog ===
python-ldap3 (0.9.7.4-1) unstable; urgency=low

  * New upstream release.
  * Upstream package name renamed from python3-ldap to ldap3.

 -- Brian May <bam@debian.org>  Thu, 19 Feb 2015 12:01:32 +1100

python-ldap3 (0.9.6.2-1) unstable; urgency=low

  * New upstream version.
  * Breaks current versions of python-tldap due to change in escaping
    requirements. See https://code.vpac.org/gerrit/#/c/1342/.
  * This version supports IPv6, but won't automatically fall back to IPv4 on
    errror.  See
    https://bitbucket.org/python3ldap/python3-ldap/issue/42/doesnt-fall-back-to-ipv4-connection-if
  * Update standards version to 3.9.6.

 -- Brian May <bam@debian.org>  Tue, 18 Nov 2014 11:23:45 +1100

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,17 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper (>= 8), dh-python, python-all (>= 2.6.6-3~), python-setuptools, python3-all, python3-setuptools
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-ldap3/trunk/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-ldap3/trunk/
-Homepage: https://bitbucket.org/python3ldap/python3-ldap
+Homepage: https://github.com/cannatag/ldap3
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 
 Package: python-ldap3
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}
+Breaks: python-tldap (<< 0.3.8~)
 Description: Pure Python LDAP client library
  A pure Python 3 LDAP version 3 strictly conforming to RFC4511 released under
  the LGPL v3 open source license. RFC4511 is the current LDAP specification
@@ -25,6 +26,7 @@
 Package: python3-ldap3
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}
+Breaks: python3-tldap (<< 0.3.8~)
 Description: Pure Python LDAP client library
  A pure Python 3 LDAP version 3 strictly conforming to RFC4511 released under
  the LGPL v3 open source license. RFC4511 is the current LDAP specification

## python-ldap3 0.9.8.8

=== requirements.txt ===
pyasn1==0.1.8

=== debian/changelog ===
python-ldap3 (0.9.8.8-1ubuntu1~cloud0) trusty-liberty; urgency=medium

  * New package for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 15 Dec 2015 14:37:06 +0000

python-ldap3 (0.9.8.8-1ubuntu1) wily; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build-depend on python3-pyasn1 to fix FTBFS.

 -- James Page <james.page@ubuntu.com>  Fri, 11 Sep 2015 11:09:49 +0100

python-ldap3 (0.9.8.8-1) unstable; urgency=medium

  * New upstream version.

 -- Brian May <bam@debian.org>  Mon, 24 Aug 2015 18:39:58 +1000

python-ldap3 (0.9.8.4-2ubuntu1) wily; urgency=medium

  * Build-depend on python3-pyasn1 to fix FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 26 Jul 2015 02:22:05 -0400

python-ldap3 (0.9.8.4-2) unstable; urgency=medium

  * Fix description for python-ldap3 package. Closes: #790307.

 -- Brian May <bam@debian.org>  Tue, 21 Jul 2015 16:36:39 +1000

python-ldap3 (0.9.8.4-1) unstable; urgency=medium

  * New upstream release.

 -- Brian May <bam@debian.org>  Fri, 01 May 2015 11:06:12 +1000

python-ldap3 (0.9.8.2-1) unstable; urgency=medium

  * New upstream release.

 -- Brian May <bam@debian.org>  Thu, 30 Apr 2015 14:33:03 +1000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: python-ldap3
-Maintainer: Brian May <bam@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Brian May <bam@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 8), dh-python, python-all (>= 2.6.6-3~), python-setuptools, python3-all, python3-setuptools
+Build-Depends: debhelper (>= 8), dh-python, python-all (>= 2.6.6-3~), python-setuptools, python3-all, python3-setuptools, python3-pyasn1 (>= 0.1.7)
 Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-ldap3/trunk/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-ldap3/trunk/
@@ -21,7 +22,7 @@
  (June 2006) from IETF and obsoletes the previous LDAP RFCs 2251, 2830, 3771
  (December 1997)
  .
- This package contains the Python 3.x version of the library.
+ This package contains the Python 2.7 version of the library.
 
 Package: python3-ldap3
 Architecture: all

## python-ldap3 0.9.9.3

=== debian/changelog ===
python-ldap3 (0.9.9.3-1~bpo8+2) jessie-backports; urgency=medium

  * Build depend on python{,3}-pyasn1 >= 0.1.8 so the versioned dependency
    is picked up.

 -- Felix Geyer <fgeyer@debian.org>  Mon, 14 Dec 2015 21:46:05 +0100

python-ldap3 (0.9.9.3-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Felix Geyer <fgeyer@debian.org>  Wed, 09 Dec 2015 20:32:30 +0100

python-ldap3 (0.9.9.3-1) unstable; urgency=medium

  * New upstream version.

 -- Brian May <bam@debian.org>  Thu, 19 Nov 2015 10:55:09 +1100

python-ldap3 (0.9.9.1-1) unstable; urgency=medium

  * New upstream version.
  * Add python-pyasn1 and python3-pyasn1 to build depends.
  * Swap maintainer and uploaders. Maintainer is now DPMT.

 -- Brian May <bam@debian.org>  Wed, 14 Oct 2015 09:40:42 +1100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: python-ldap3
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Brian May <bam@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Brian May <bam@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 8), dh-python, python-all (>= 2.6.6-3~), python-setuptools, python3-all, python3-setuptools, python3-pyasn1 (>= 0.1.7)
+Build-Depends: debhelper (>= 8), dh-python,
+    python-all (>= 2.6.6-3~), python-setuptools, python-pyasn1 (>= 0.1.8),
+    python3-all, python3-setuptools, python3-pyasn1 (>= 0.1.8),
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-ldap3/trunk/
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-ldap3/trunk/
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-ldap3.git
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-ldap3.git
 Homepage: https://github.com/cannatag/ldap3
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2

## python-ldap3 1.0.3

=== debian/changelog ===
python-ldap3 (1.0.3-1) unstable; urgency=medium

  * New upstream version.

 -- Brian May <bam@debian.org>  Sun, 03 Jan 2016 14:56:09 +1100

python-ldap3 (1.0.2-1) unstable; urgency=medium

  * New upstream version.

 -- Brian May <bam@debian.org>  Tue, 15 Dec 2015 17:07:38 +1100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper (>= 8), dh-python,
-    python-all (>= 2.6.6-3~), python-setuptools, python-pyasn1 (>= 0.1.8),
-    python3-all, python3-setuptools, python3-pyasn1 (>= 0.1.8),
+    python-all (>= 2.6.6-3~), python-setuptools, python-pyasn1,
+    python3-all, python3-setuptools, python3-pyasn1,
 Standards-Version: 3.9.6
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-ldap3.git
 Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-ldap3.git

## python-ldap3 1.2.2

=== debian/changelog ===
python-ldap3 (1.2.2-1~bpo8+1) UNRELEASED; urgency=medium

  * jessie-backports Rebuilt for jessie.

 -- Brian May <bam@debian.org>  Thu, 11 Aug 2016 12:51:05 +0000

python-ldap3 (1.2.2-1) unstable; urgency=medium

  * New upstream version.

 -- Brian May <bam@debian.org>  Wed, 06 Apr 2016 13:29:21 +1000

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends: debhelper (>= 8), dh-python,
     python-all (>= 2.6.6-3~), python-setuptools, python-pyasn1,
     python3-all, python3-setuptools, python3-pyasn1,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-ldap3.git
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-ldap3.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-ldap3.git
 Homepage: https://github.com/cannatag/ldap3
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/ldap3/ldap3-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-ldap3 2.2.4

=== debian/changelog ===
python-ldap3 (2.2.4-1) unstable; urgency=medium

  * New upstream version.

 -- Brian May <bam@debian.org>  Thu, 06 Jul 2017 17:44:31 +1000

python-ldap3 (2.2.2-1) experimental; urgency=medium

  * New upstream version. Closes: #857949.

 -- Brian May <bam@debian.org>  Sat, 18 Mar 2017 16:26:42 +1100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Uploaders: Brian May <bam@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 8), dh-python,
+Build-Depends: debhelper (>= 9), dh-python,
     python-all (>= 2.6.6-3~), python-setuptools, python-pyasn1,
     python3-all, python3-setuptools, python3-pyasn1,
-Standards-Version: 3.9.7
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-ldap3.git
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-ldap3.git
 Homepage: https://github.com/cannatag/ldap3

## python-ldap3 2.4.1

=== debian/changelog ===
python-ldap3 (2.4.1-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Use debhelper-compat instead of debian/compat.

  [ Andrey Rahmatullin ]
  * Drop Python 2 support (Closes: #937881).

 -- Andrey Rahmatullin <wrar@debian.org>  Thu, 05 Sep 2019 11:31:49 +0500

python-ldap3 (2.4.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol

  [ Felix Geyer ]
  * New upstream version.

 -- Felix Geyer <felix.geyer@credativ.de>  Tue, 27 Feb 2018 09:54:23 +0100

=== debian/control ===
Source: python-ldap3
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Brian May <bam@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 9), dh-python,
    python3-all, python3-setuptools, python3-pyasn1,
Standards-Version: 4.0.0
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-ldap3
Vcs-Git: https://salsa.debian.org/python-team/modules/python-ldap3.git
Homepage: https://github.com/cannatag/ldap3

Package: python3-ldap3
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Breaks: python3-tldap (<< 0.3.8~)
Description: Pure Python LDAP client library
 A pure Python 3 LDAP version 3 strictly conforming to RFC4511 released under
 the LGPL v3 open source license. RFC4511 is the current LDAP specification
 (June 2006) from IETF and obsoletes the previous LDAP RFCs 2251, 2830, 3771
 (December 1997)
 .
 This package contains the Python 3.x version of the library.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/ldap3/ldap3-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-ldap3 2.7

=== debian/changelog ===
python-ldap3 (2.7-2) unstable; urgency=medium

  * Fix FTBFS due to a missing exception (Closes: #958657).

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 24 Apr 2020 07:38:59 +0200

python-ldap3 (2.7-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 22 Apr 2020 22:45:27 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Brian May <bam@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 9), dh-python,
+Build-Depends: debhelper-compat (= 12), dh-python,
     python3-all, python3-setuptools, python3-pyasn1,
 Standards-Version: 4.0.0
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-ldap3

## python-ldap3 2.8.1

=== debian/changelog ===
python-ldap3 (2.8.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Andrej Shadura ]
  * New upstream release.
  * Bump pyasn1 dependency.
  * Wrap and sort debian/control.
  * Bump Standards-Version to 4.5.0.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 30 Nov 2020 12:20:13 +0100

=== debian/control ===
Source: python-ldap3
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Brian May <bam@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-pyasn1 (>= 0.4.6),
 python3-setuptools,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-ldap3
Vcs-Git: https://salsa.debian.org/python-team/packages/python-ldap3.git
Homepage: https://github.com/cannatag/ldap3

Package: python3-ldap3
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-tldap (<< 0.3.8~),
Description: Pure Python LDAP client library
 A pure Python 3 LDAP version 3 strictly conforming to RFC4511 released under
 the LGPL v3 open source license. RFC4511 is the current LDAP specification
 (June 2006) from IETF and obsoletes the previous LDAP RFCs 2251, 2830, 3771
 (December 1997)
 .
 This package contains the Python 3.x version of the library.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=ldap3

%:
	dh $@ --with python3 --buildsystem=pybuild

## python-ldap3 2.9.1

=== debian/changelog ===
python-ldap3 (2.9.1-2) unstable; urgency=medium

  * Team upload.
  * Patch: Support setuptools >= 60. (Closes: #1022446)

 -- Stefano Rivera <stefanor@debian.org>  Fri, 11 Nov 2022 23:12:58 +0200

python-ldap3 (2.9.1-1) unstable; urgency=low

  * Team upload.
  * New upstream release (Closes: #935985).
  * Set Rules-Requires-Root: no.
  * Bump debhelper version to 13.
  * Bump Standards-Version to 4.6.1.0.
  * Use uscan version 4.
  * Clean up ldap3.egg-info/ to allow two builds in a row.
  * Install README.rst in python3-ldap3 binary package.

 -- Michael Fladischer <fladi@debian.org>  Thu, 21 Jul 2022 11:35:10 +0000

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,16 @@
 Section: python
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-pyasn1 (>= 0.4.6),
  python3-setuptools,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-ldap3
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-ldap3.git
 Homepage: https://github.com/cannatag/ldap3
+Rules-Requires-Root: no
 
 Package: python3-ldap3
 Architecture: all

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/ldap3/ldap3-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
